Bug 1099505 - Job and step tables not cleaned after the failure or completion of some tasks.
Summary: Job and step tables not cleaned after the failure or completion of some tasks.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.2.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
: 3.4.3
Assignee: Arik
QA Contact: sefi litmanovich
URL:
Whiteboard: virt
Depends On: 1040952
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-20 13:25 UTC by rhev-integ
Modified: 2019-04-28 09:43 UTC (History)
24 users (show)

Fixed In Version: org.ovirt.engine-root-3.4.3-1
Doc Type: Bug Fix
Doc Text:
Previously, the job and step tables would not be cleaned after the failure or completion of some tasks. This would result in numerous tasks being marked as still running in the tasks tab. With this update, periodic job deletion has now been updated so that jobs causing database errors will be correctly cleared.
Clone Of: 1040952
Environment:
Last Closed: 2014-10-23 12:29:53 UTC
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:1712 normal SHIPPED_LIVE Red Hat Enterprise Virtualization Manager 3.4.3 update 2014-10-23 16:29:47 UTC
oVirt gerrit 22474 None None None Never
oVirt gerrit 23036 None None None Never
oVirt gerrit 26291 None None None Never
oVirt gerrit 26292 None None None Never
oVirt gerrit 26293 None None None Never
oVirt gerrit 27372 master MERGED core: remove jobs of IVdsAsyncCommands on engine startup Never
oVirt gerrit 28474 ovirt-engine-3.4 MERGED core: remove jobs of IVdsAsyncCommands on engine startup Never
oVirt gerrit 31490 ovirt-engine-3.4 MERGED core: remove job with migration step on engine startup Never
oVirt gerrit 31491 ovirt-engine-3.4 MERGED core: do not remove execution jobs with ongoing tasks Never

Comment 3 sefi litmanovich 2014-07-09 14:43:06 UTC
tested on rhevm-3.4.1-0.23.el6ev.noarch.

Checked the following flows: MigrateVm', 'MigrateVmToServer', 'InternalMigrateVm', 'RunVm', 'RunVmOnc'.

in all flows except InternalMigrateVm, the job status is updated on job table. when starting the job, status=START. then I stop engine before the job is complete, then start engine. in job table the job is deleted.

as forInternalMigrateVm: this task's status is updated in step table and same flow I used for other jobs had resulted with MIGRATE_VM status UNKNOWN after engine restart.

Comment 5 Michal Skrivanek 2014-07-10 12:56:32 UTC
retargeting to 3.4.2 as it's a corner case, not a critical problem

Comment 6 Michal Skrivanek 2014-07-18 11:37:40 UTC
what?why? no way - this is still assigned!:)

Comment 7 Eyal Edri 2014-08-06 06:48:19 UTC
not in scope for 3.4.2 (not included in 3.4.2 tracker -[RHEV] 3.4.2 Bug tracker - https://bugzilla.redhat.com/show_bug.cgi?id=1123858).

moving to 3.4.3

Comment 9 sefi litmanovich 2014-10-02 10:52:45 UTC
tested on rhevm-3.4.3-1.1.el6ev.noarch

1. updated FailedJobCleanupTimeInMinutes and JobCleanupRateInMinutes in vdc_options 

2. Checked the following flows: MigrateVm', 'MigrateVmToServer', 'InternalMigrateVm', 'RunVm', 'RunVmOnc'.

in each case I invoked the action to start and restarted the engine before action could finish properly.

in all cases the job (or step in case of InternalMigrateVm) had status STARTED (which can be seen in DB) at the beginning.
upon engine restart the job/step was deleted from DB.

Comment 11 errata-xmlrpc 2014-10-23 12:29:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2014-1712.html


Note You need to log in before you can comment on or make changes to this bug.